Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_parser_raptor_parse_string_into_model

## Name

librdf_parser_raptor_parse_string_into_model -- Parse the RDF/XML content in a string and store it into a librdf_model

## Synopsis

``int `librdf_parser_raptor_parse_string_into_model`` (void * `context`, const unsigned char * `string`, librdf_uri * `base_uri`, librdf_model* `model`);`

## Arguments

`context`

  parser context

`string`

  RDF/XML source

`base_uri`

  librdf_uri URI of the content location

`model`

  librdf_model of model

## Description

Stores the statements found parsing string and stores in the given model.

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_parser_raptor_parse_uri_into_model | Up | librdf_parser_raptor_serialise_end_of_stream